Package wx :: Class MemoryFSHandler

[frames | no frames]

## Type MemoryFSHandler

              object --+
                       |
    CPPFileSystemHandler --+
                           |
                          MemoryFSHandler

Proxy of C++ MemoryFSHandler class

Method Summary
MemoryFSHandler | `__init__(self)`
| ``AddFile`(filename, dataItem, imgType)` Add 'file' to the memory filesystem. (Static method)
bool | `CanOpen(self, location)`
String | `FindFirst(self, spec, flags)`
String | `FindNext(self)`
FSFile | `OpenFile(self, fs, location)`
| `RemoveFile(filename)` (Static method)

Property Summary
| `thisown`: The membership flag

Static Method Details

### AddFile(filename, dataItem, imgType=-1)

Add 'file' to the memory filesystem. The dataItem parameter can either be a `wx.Bitmap`, `wx.Image` or a string that can contain arbitrary data. If a bitmap or image is used then the imgType parameter should specify what kind of image file it should be written as, wx.BITMAP_TYPE_PNG, etc.

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:02 2007 | http://epydoc.sf.net